﻿// Настройка использования правок
//
// BSLLS:NestedFunctionInParameters-off - без лишних переменных выполнение быстрее
// BSLLS:EmptyRegion-off - пустые области разрешены

#Область ПрограммныйИнтерфейс

// Возвращает коллекцию настроек активности правок
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Соответствие - Ключ идентификатор правки, Значение флаг использования
//
Функция Коллекция() Экспорт
	
	Возврат исп_НастройкаПовтИсп.Коллекция();
	
КонецФункции // Коллекция 

// Истина, если доступно администрирование настроек
//
// Параметры: 
//
// Возвращаемое значение: 
// 	Булево
//
Функция АдминистрированиеДоступно() Экспорт
	
	Возврат исп_НастройкаВызовСервера.АдминистрированиеДоступно();
	
КонецФункции // АдминистрированиеДоступно 

// Истина, если правка включена
//
// Параметры: 
// 	Идентификатор - Строка - Идентификатор правки
//
// Возвращаемое значение: 
// 	Булево
//
Функция ПравкаВключена(Идентификатор) Экспорт
	
	Результат	= Коллекция().Получить(Идентификатор);
	
	Возврат ?(Результат = Неопределено, Ложь, Результат);
	
КонецФункции // ПравкаВключена 

// Устанавливает флаг использования правки
//
// Параметры: 
// 	Идентификатор - Строка - Идентификатор правки
// 	Значение - Булево - Флаг использования
//
Процедура ПравкаИспользовать(Идентификатор, Значение) Экспорт
	
	исп_НастройкаВызовСервера.ПравкаИспользовать(Идентификатор, Значение);
	
	ОбновитьПовторноИспользуемыеЗначения();
	
КонецПроцедуры // ПравкаИспользовать 

#КонецОбласти

#Область СлужебныйПрограммныйИнтерфейс

#КонецОбласти

#Область СлужебныеПроцедурыИФункции

#КонецОбласти

// BSLLS:NestedFunctionInParameters-on
// BSLLS:EmptyRegion-on
 